image: node:latest

stages:
  - build
  - test
  - deploy-report

cache:
  paths:
    - node_modules/

install_dependencies:
  stage: build
  script:
    - npm install
  artifacts:
    paths:
      - node_modules/

testing:
    stage: test
    script:
      - npm test
    artifacts:
      paths:
        - /builds/javascript-learning-program-2020-21/js-final-phase-submission/mochawesome-report/*

pages:
  stage: deploy-report
  script:
    - mkdir .public
    - cp -r /builds/javascript-learning-program-2020-21/js-final-phase-submission/mochawesome-report/* .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master
